#include <bits/stdc++.h>
using namespace std;



int main(){
    int n;
    cin>>n;
    vector<int> vec(2);
    for(int i = 0; i < 2; i ++)cin>>vec[i];
    if(vec[1] != vec[2]){
            cout<<-1<<endl;
    }
    return 0;
}